.SideBar {
  background-color: #303f9f;
  color: white;
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  height: 100%;
  display: flex;
  flex-direction: column;
  min-width: 68px;
  user-select: none;
  transition: width 0.3s ease-in-out;

  &.expanded {
    z-index: 4 !important;
    width: 250px;
  }
  &.collapsed {
    z-index: 3 !important;
    width: 68px;
    overflow: hidden;
  }

  &.production {
    background-color: #263238;
  }

  transition: width 0.3s ease-in-out;

  .Sidebar__overflow {
    overflow-x: hidden;
    overflow-y: auto;

    &.collapsed {
      overflow-y: hidden;
    }
  }

  .selectorContainer {
    display: flex;
    flex-direction: row;
    padding: 6px 10px 10px 10px;
    max-height: 50px;
    cursor: pointer;
    .menuButton {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      margin-right: 10px;

      .hamburguerIcon {
        cursor: pointer;
        border: none;
        background-color: transparent;
        color: white;
        padding: 12px;

        &:hover {
          background-color: rgba(211, 217, 229, 0.25);
          color: white;
          border-radius: 8px;
        }
      }
    }
    .menuApp {
      &.collapsed {
        width: 0px;
        overflow: hidden;
      }

      &.expanded {
        width: 173px;
      }

      display: flex;
      flex-direction: row;
      justify-content: space-between;
      padding: 13px 12px 13px 12px;
      gap: 12px;
      white-space: nowrap;
      transition: width 0.3s ease-in-out;

      .nameApp {
        color: #eeeeee;
        font-size: 16px;
        font-weight: 500;
        align-self: center;
        justify-content: start;
        width: 125px;
        white-space: normal;
        transition: width 0.3s ease-in-out;
        overflow: hidden;
        white-space: nowrap;
      }
      .arrows {
        justify-content: end;
      }
      &:hover {
        background-color: rgba(211, 217, 229, 0.25);
        color: white;
        border-radius: 8px;
      }
    }
  }
}
@media screen and (width: 600px) {
  .collapsed {
    max-height: 64px !important;
  }
}
@media (max-width: 600px) {
  .SideBar {
    &.expanded {
      .selectorContainer {
        padding: 0px 10px !important;
        box-shadow: 0px 1px 0px rgba(151, 159, 171, 0.25);
        max-height: 48px;
      }
    }
    &.collapsed {
      max-width: 52px !important;
      min-width: 52px !important;
      max-height: 56px;
      background-color: #fff;
      box-shadow: 0px 1px 0px #e0e0e0;
      .selectorContainer {
        padding: 4px 0px 0px 6px /* !important */;
      }
    }
    .selectorContainer {
      .menuButton {
        .hamburguerIcon:hover {
          background-color: transparent;
        }
      }
    }
  }

  .menuApp {
    display: flex;
    flex-direction: row;
    width: 75%;
    justify-content: space-between;
    padding: 12px;
    white-space: nowrap;

    &:hover {
      background-color: #fff;
      color: white;
    }
  }
}

@media (min-width: 0px) and (max-width: 600px) and (orientation: landscape) {
  .SideBar {
    &.collapsed {
      max-height: 48px;
      min-height: 48px;
    }
    .selectorContainer {
      .menuButton {
        .hamburguerIcon:hover {
          background-color: transparent;
        }
      }
    }
  }
}

.SideBarItem {
  display: flex;
  padding: 2px 9px 2px 9px;
  cursor: pointer;
  user-select: none;

  .SideBarContent {
    display: flex;
    flex-direction: column;
    width: 100%;
  }

  .clicked {
    background-color: rgba(211, 217, 229, 0.25);
  }

  .label {
    background-color: transparent;
    border: none;
  }

  .subItemContainer {
    display: flex;
    flex-direction: column;
    gap: 2px;
    margin-left: 20px;
    border-left: 2px solid white;
  }

  .main {
    width: 100%;
    color: white;
    text-decoration: none;
    display: inline-flex;
    border-radius: 8px;
    font-weight: 400;

    .ancor {
      color: white;
      text-decoration: none;
      font-weight: 400;
    }

    &.main-subMenu:first-child {
      margin-top: 2px;
    }

    .collapsed {
      justify-content: center;
      width: 38px;
      padding: 6px;
    }
    .expanded {
      justify-content: left;
      width: 235px;
      padding: 6px;
      justify-content: space-between;
    }

    .ItemContent {
      display: inline-flex;
      flex-direction: row;
      overflow: hidden;
      white-space: nowrap;
      margin-left: -0.3px;

      .contentStart {
        display: flex;
        gap: 6px;

        .icon {
          padding: 6px;
          opacity: 1;
          width: 24px;
          height: 24px;
          text-align: center;
          margin-left: 0.5px;

          img {
            left: 22px;
            width: 24px;
            height: 24px;
          }
        }

        .label {
          justify-content: start;
          align-self: center;
          overflow: hidden;
          white-space: normal;
        }
      }

      .iconDropdown {
        align-self: center;

        &.reversed {
          transition: 0.3s ease-in;
          transform-style: preserve-3d;
          transform: scaleY(-1);
        }

        &.forward {
          transition: 0.3s ease-in;
          transform-style: preserve-3d;
          transform: scaleY(1);
        }
      }

      &:hover {
        background-color: rgba(211, 217, 229, 0.25);
        border-radius: 8px;
        margin-left: -0.3px;

        & + .tooltip {
          align-self: center;
          display: inline-block;
          animation-duration: 0.4s;
          animation-name: tooltip;
        }
      }
    }

    .subItem {
      display: flex;
      flex-direction: row;
      align-items: center;
      overflow: hidden;
      white-space: nowrap;
      padding-left: 8px;

      &.clicked {
        background-color: rgba(211, 217, 229, 0.25);
        border-radius: 0 8px 8px 0;
      }

      .icon {
        display: none;
        flex-direction: row-reverse;
        width: 16%;
        height: 100%;

        &.showIcon {
          display: block;
          height: inherit;
          padding-left: 10px;
        }
      }

      .label {
        padding: 10px;
        width: 218px;
        font-weight: 400;
        font-size: 15px;
        justify-content: left;
        text-wrap: wrap;
        white-space: normal;
      }

      &:hover {
        background-color: rgba(211, 217, 229, 0.25);
        border-radius: 0 8px 8px 0;
      }
    }
  }

  .tooltip {
    position: fixed;
    display: none;
    background-color: black;
    font-size: 13px;
    font-weight: 300;
    left: 64px;
    margin: -38px 0px -38px 0px;
    padding: 3px 8px;
    border-radius: 8px;
    white-space: nowrap;
  }

  @keyframes tooltip {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
}

@media (max-width: 600px) {
  .SideBarItem {
    .ItemContent {
      &.collapsed {
        display: none;
      }
    }
  }
}

.filter-container {
  display: flex;
  flex-direction: column;
  gap: 32px;
  padding: 24px 0px;

  .filter-events {
    gap: 12px;
    display: grid;
    grid-template-columns: repeat(2, minmax(240px, 400px));
    padding: 0 12px;
  }

  .filter-content {
    gap: 12px;
    display: grid;
    grid-template-columns: repeat(2, minmax(240px, 400px));
    max-height: 400px;
    overflow-y: auto;
    padding: 0 12px;
  }
}
.singleColumn {
  grid-column: span 1 / span 1 !important;
}
.dobleColumn {
  grid-column: span 2 / span 2 !important;
}

@media screen and (max-width: 768px) {
  .filter-container {
    padding-left: 12px;
    padding-right: 12px;
    .filter-content {
      grid-template-columns: 1fr;
    }
    .filter-events {
      grid-template-columns: 1fr;
    }
  }
  .dobleColumn {
    grid-column: span 1 / span 1 !important;
  }
}

.whiteSvg {
  svg {
    path {
      fill: white;
    }
  }
  &.disabled {
    svg {
      path {
        fill: rgba(0, 0, 0, 0.26);
      }
    }
  }
}

.contentTable {
  border-radius: 8px;
  border-style: solid;
  border-color: rgba(151, 159, 171, 0.25);
  border-width: 1px;
  padding: 12px;
  background-color: white;
  display: flex;
  flex-direction: column;
  margin: 12px 0px 24px 0px;
}

.divTable {
  width: 100%;
  margin: 0 0 24px 0;
  overflow: auto;
  height: calc(100% - 115px);
}

table {
  border: none;
  border-collapse: collapse;
  user-select: none;
  overflow: auto;
  width: 100%;
}

.MuiLinearProgressContainer {
  height: 0px;
}

td,
th,
tr {
  padding: 15px 10px 15px 0px;
  font-size: 1rem;
  text-align: left;
  font-weight: 400;
}

td:last-child {
  padding-right: 12px;
}

tr {
  border-bottom: 0.5px solid rgba(151, 159, 171, 0.2);
  td:first-child {
    padding-left: 10px;
  }
}

tr td:nth-last-child(2) {
  display: none;
}

.trTotalFixed,
.theadFixed {
  position: sticky;
}

.theadFixed {
  top: -1px;
  background-color: #f9f9f9;
}

.trSelected {
  background-color: #eeeeee;
  &:hover {
    background-color: #e0e0e0;
  }
}

.trTotalFixed {
  bottom: -1px;
  background-color: #ffffff;
}

.trFixed,
.thFixed {
  position: sticky;
  left: 0px;
  z-index: 3;
}

.trFixed {
  background-color: #ffffff;
}

.thFixed {
  background-color: #f5f5f5;
}

.trTotal td:nth-last-child(2) {
  display: revert !important;
}

tbody {
  tr:last-child {
    border-bottom: 0.5px solid rgba(151, 159, 161, 0.2);
    margin-bottom: 0px;
  }
}

tr:hover {
  background-color: #f5f5f5;
}

.thGroup {
  text-align-last: center;
  border-left: 0.5px solid rgba(151, 159, 161, 0.2);
  border-right: 0.5px solid rgba(151, 159, 161, 0.2);
  border-top: 0.5px solid rgba(151, 159, 161, 0.2);
  &:nth-last-child(2) {
    border-left: 0px;
    border-right: 0px;
  }
}
.thGroup:last-child {
  border-left: 0px solid rgba(151, 159, 161, 0.2);
}
.thDepthLeft {
  border-left: 0.5px solid rgba(151, 159, 161, 0.2);
}
.thDepthRight {
  border-right: 0.5px solid rgba(151, 159, 161, 0.2);
  &:nth-last-child(2) {
    border-right: 0px;
  }
}

tbody {
  color: #1a237e;
}

.thead_class {
  white-space: nowrap;
  font-size: 1rem;
  background-color: #f5f5f5;
  td,
  th {
    padding: 10px 10px 10px 0px;
    text-align: left;
    font-weight: 500;
    cursor: pointer;
  }

  .thead_class_row {
    height: 44px;
    padding: 0;
    color: var(--blue-grey-900);

    .thead_class_row_cell {
      padding: 0 5px;

      .thead_class_row_cell_container {
        display: flex;
        align-items: center;
        padding: 10px 0px 10px 0px;

        .thead_class_wrapper {
          display: flex;
          flex-direction: row;
          gap: 7px;
          align-items: center;
        }

        .thead_class_tooltip {
          width: 16px;
          height: 16px;
        }

        .thead_class_icon {
          cursor: pointer;
          width: 16px;
          height: 16px;
          display: flex;
          flex-direction: column;
          padding-left: 7px;

          .thead_class_icon-arrows {
            cursor: pointer;
            width: 16px;
            height: 16px;
          }
        }
      }
    }

    th:last-child {
      padding-right: 16px;
    }

    th:first-child {
      padding-left: 10px;
    }
  }
}

.numberAlign {
  padding-right: 24px;
  text-align: right;
}

.cellHover:hover {
  background-color: #cecece;
}

.dateAlign {
  text-align: center;
}

.align-left {
  text-align: left;
}
.align-right {
  text-align: right;
}
.align-center {
  text-align: center;
}

.table-bar {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  overflow: auto;
  align-items: flex-start;
  margin-bottom: 12px;
  gap: 12px;

  .table-textfield-container {
    width: 55%;
  }

  .tablemenu-container {
    display: flex;
    gap: 12px;

    .table-button-container {
      display: flex;
      flex-direction: row;
      overflow: visible;
      justify-content: space-between;
      gap: 12px;
    }
  }
}

.footer-container {
  display: flex;
  justify-content: space-between;
  gap: 12px;
  flex-wrap: wrap;

  .table-navigation-container {
    display: flex;
    flex-direction: row;
    color: #616161;
    font-size: 0.813rem;
    white-space: nowrap;
    overflow: auto;
    .table-navigation-container-arrows {
      display: flex;
      flex-direction: row;
      align-items: center;
      margin-right: 20px;
      gap: 12px;
    }

    .table-navigation-container-page {
      display: flex;
      flex-direction: row;
      align-items: center;
      margin-right: 20px;
    }

    .table-navigation-container-elements {
      display: flex;
      flex-direction: row;
      align-items: center;
    }
  }

  .modeMultiselect-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 12px;
    .modeMultiselect-buttons {
      display: flex;
      gap: 8px;
    }
  }
}

.MuiButton-hovered {
  background-color: rgb(238, 238, 238);
  border: 1.5px solid rgb(92, 107, 192) !important;
}

.select_class {
  border-radius: 4px;
  padding: 4px 2px;
  border-color: #eeeeee;
  border-width: 1px;
}

.inputnumber_class {
  border-radius: 4px;
  padding: 4px 2px;
  border-color: #eeeeee;
  border-width: 1px;
  color: #9e9e9e;
  border-style: solid;
}

.alignBoolean {
  width: 100%;
  text-align: center;
}

.titleDateAlign {
  text-align: center;
}

.disabledTable {
  background-color: #eeeeee !important;
  .contentTableScroll .divTable table {
    color: #616161 !important;
    thead {
      background-color: #bcbcbc !important;
      tr {
        border-bottom: 1px solid #9e9e9e !important;
      }
    }
    tbody {
      color: #616161 !important;
      tr:hover {
        background-color: #eeeeee !important;
      }
      tr:last-child {
        border-bottom: 1px solid #9e9e9e !important;
      }
    }
  }
}

.onlyTable {
  margin: 0px;
  padding: 0px;
  .divTable {
    margin: 0px;
    border-radius: 8px;
    table {
      thead {
        td:hover {
          background-color: none;
        }
      }
      tbody {
        tr {
          td {
            padding: 0px;
          }
          &:hover {
            background-color: transparent;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 1023px),
  (min-device-width: 1023px) and (max-device-width: 1280px) {
  /* .modal { */
  table {
    display: flex;
    width: 100%;
    overflow-x: hidden;
    table-layout: fixed;
  }
  table thead {
    display: none;
  }

  .numberAlign {
    padding-right: 0;
    text-align: left;
  }

  table tr {
    display: block;
    border: 1px solid #eeeeee;
    border-radius: 12px;
    border-bottom-width: 0px;
    margin-bottom: 15px;
    padding: 0 0 0 0 !important;
  }
  table td {
    display: flex;
    justify-content: space-between;
    width: calc(100% - 24px) !important;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 100%;
    border-top: 1px solid #eeeeee;
    flex-direction: row;
    padding: 4px 12px 4px 12px !important;
  }

  table td::before {
    content: attr(title);
    color: black;
    width: 120px;
    min-width: 120px;
  }
  tr td:first-child {
    border-top: 0px;
  }

  tr td:last-child {
    display: none;
  }

  tr td:nth-last-child(2) {
    display: flex;
    text-decoration: underline;
    color: black;
    align-items: center;
    place-content: end;
    gap: 5px;
    background-color: #f5f5f5;
    cursor: pointer;
    border-bottom-right-radius: 12px;
    border-bottom-left-radius: 12px;
    border-top: 1px solid #eeeeee;
    border-bottom: 1px solid #eeeeee;
  }

  .alignBoolean {
    text-align: right;
  }

  .dateAlign {
    text-align: left;
  }

  .elipse {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  td {
    div {
      padding-right: 0px !important;
    }
  }

  .table-bar {
    flex-direction: row;
    gap: 12px;

    .table-textfield-container {
      width: 100%;
    }
  }

  tbody {
    width: 100%;
    tr {
      border-bottom: none !important;
      box-shadow: none !important;
    }
    tr:last-child {
      margin-bottom: 0px;
    }
  }
  .footer-container {
    justify-content: center;
    /*     .table-navigation-container {
    }

    .modeMultiselect-container {
      .modeMultiselect-buttons {
      }
    } */
  }
  .divTable {
    overflow-x: hidden;
  }
  /* } */
}

@media only screen and (max-width: 767px),
  (min-device-width: 769px) and (max-device-width: 1023px) {
  table {
    display: flex;
    width: 100%;
    overflow-x: hidden;
    table-layout: fixed;
  }
  table thead {
    display: none;
  }

  .numberAlign {
    padding-right: 0;
    text-align: left;
  }

  table tr {
    display: block;
    border: 1px solid #eeeeee;
    border-radius: 12px;
    border-bottom-width: 0px;
    margin-bottom: 15px;
    padding: 0 0 0 0 !important;
  }
  table td {
    display: flex;
    justify-content: space-between;
    width: calc(100% - 24px) !important;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 100%;
    border-top: 1px solid #eeeeee;
    flex-direction: row;
    padding: 4px 12px 4px 12px !important;
  }

  table td::before {
    content: attr(title);
    color: black;
    width: 120px;
    min-width: 120px;
  }
  tr td:first-child {
    border-top: 0px;
  }

  tr td:last-child {
    display: none;
  }

  tr td:nth-last-child(2) {
    display: flex;
    text-decoration: underline;
    color: black;
    align-items: center;
    place-content: end;
    gap: 5px;
    background-color: #f5f5f5;
    cursor: pointer;
    border-bottom-right-radius: 12px;
    border-bottom-left-radius: 12px;
    border-top: 1px solid #eeeeee;
    border-bottom: 1px solid #eeeeee;
  }

  .alignBoolean {
    text-align: right;
  }

  .dateAlign {
    text-align: left;
  }

  .elipse {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  td {
    div {
      padding-right: 0px !important;
    }
  }

  .table-bar {
    flex-direction: column;
    gap: 12px;
    .table-textfield-container {
      width: 100%;
    }
    .tablemenu-container {
      width: 100%;
      justify-content: flex-end;
    }
  }

  tbody {
    width: 100%;
    tr {
      border-bottom: none !important;
      box-shadow: none !important;
    }
    tr:last-child {
      margin-bottom: 0px;
    }

    .renderSubComponent {
      display: block !important;
      &.hidden {
        display: none !important;
      }
    }
  }

  .footer-container {
    justify-content: center;
    .table-navigation-container {
      width: 100%;
      flex-direction: column;
      gap: 12px;

      .table-navigation-container-arrows {
        margin: 0;
        width: 100%;
        justify-content: center;
      }

      .table-navigation-container-elements {
        justify-content: center;
        span {
          font-size: 0.813rem;
        }
      }
    }

    .modeMultiselect-container {
      display: flex;
      flex-direction: column;
    }
  }

  .divTable {
    overflow-x: hidden;
  }
  .disabledTable {
    background-color: #eeeeee !important;
    .contentTableScroll .divTable table {
      tbody {
        width: calc(100% - 1px) !important;
        color: #616161 !important;
        tr td:nth-last-child(2) {
          border-top: 1px solid #9e9e9e !important;
          border-bottom: 1px solid #9e9e9e !important;
        }
        tr {
          border-radius: 12px;
          td {
            border-top: 1px solid #9e9e9e;
          }
          td:first-child {
            border-top-left-radius: 12px;
            border-top-right-radius: 12px;
            border-top: 0px;
          }
        }
        td::before {
          color: #616161 !important;
          font-weight: 500 !important;
        }
        tr:last-child {
          border: 0.5px solid #9e9e9e;
          border-bottom: 0px !important;
        }
      }
    }
  }

  .MuiLinearProgressContainer {
    display: none !important;
  }
}

@font-face {
  font-family: 'transporte-icons';
  src:  url(../assets/img/transporte-icons.eot);
  src:  url(../assets/img/transporte-icons.eot#iefix) format('embedded-opentype'),
    url(../assets/img/transporte-icons.ttf) format('truetype'),
    url(../assets/img/transporte-icons.woff) format('woff'),
    url(.././images/transporte-icons.svg?41a83aa07baf387d9f89273176c94e9b#transporte-icons) format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

[class^="icon-"], [class*=" icon-"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'transporte-icons' !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-trasvase-interno-simple:before {
  content: "\e908";
}
.icon-trasvase-simple:before {
  content: "\e909";
}
.icon-buque-simple:before {
  content: "\e905";
}
.icon-cisterna-simple:before {
  content: "\e906";
}
.icon-ferrocarril-simple:before {
  content: "\e907";
}
.icon-buque:before {
  content: "\e902";
}
.icon-cisterna:before {
  content: "\e904";
}
.icon-ferrocarril:before {
  content: "\e903";
}
.icon-trasvase:before {
  content: "\e901";
}
.icon-trasvase-interno:before {
  content: "\e900";
}
.icon-11:before {
  content: "\e965";
  color: #ffde05;
}
.icon-11n:before {
  content: "\e964";
  color: #ffde05;
}
.icon-12 .path1:before {
  content: "\e91b";
  color: rgb(255, 222, 5);
}
.icon-12 .path2:before {
  content: "\e91c";
  margin-left: -1em;
  color: rgb(255, 222, 5);
}
.icon-12 .path3:before {
  content: "\e91d";
  margin-left: -1em;
  color: rgb(255, 222, 5);
}
.icon-12 .path4:before {
  content: "\e91e";
  margin-left: -1em;
  color: rgb(194, 206, 226);
}
.icon-12 .path5:before {
  content: "\e91f";
  margin-left: -1em;
  color: rgb(194, 206, 226);
}
.icon-12 .path6:before {
  content: "\e920";
  margin-left: -1em;
  color: rgb(194, 206, 226);
}
.icon-12 .path7:before {
  content: "\e921";
  margin-left: -1em;
  color: rgb(255, 222, 5);
}
.icon-12 .path8:before {
  content: "\e922";
  margin-left: -1em;
  color: rgb(194, 206, 226);
}
.icon-12 .path9:before {
  content: "\e923";
  margin-left: -1em;
  color: rgb(255, 222, 5);
}
.icon-12n .path1:before {
  content: "\e924";
  color: rgb(255, 222, 5);
}
.icon-12n .path2:before {
  content: "\e925";
  margin-left: -1em;
  color: rgb(194, 206, 226);
}
.icon-12n .path3:before {
  content: "\e926";
  margin-left: -1em;
  color: rgb(194, 206, 226);
}
.icon-12n .path4:before {
  content: "\e927";
  margin-left: -1em;
  color: rgb(194, 206, 226);
}
.icon-12n .path5:before {
  content: "\e928";
  margin-left: -1em;
  color: rgb(194, 206, 226);
}
.icon-14:before {
  content: "\e962";
  color: #c2cee2;
}
.icon-15:before {
  content: "\e958";
  color: #98a2b3;
}
.icon-43 .path1:before {
  content: "\e98d";
  color: rgb(255, 222, 5);
}
.icon-43 .path2:before {
  content: "\e98e";
  margin-left: -1.015625em;
  color: rgb(255, 222, 5);
}
.icon-43 .path3:before {
  content: "\e98f";
  margin-left: -1.015625em;
  color: rgb(255, 222, 5);
}
.icon-43 .path4:before {
  content: "\e990";
  margin-left: -1.015625em;
  color: rgb(255, 222, 5);
}
.icon-43 .path5:before {
  content: "\e991";
  margin-left: -1.015625em;
  color: rgb(255, 222, 5);
}
.icon-43 .path6:before {
  content: "\e992";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-43 .path7:before {
  content: "\e993";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-43 .path8:before {
  content: "\e994";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-43 .path9:before {
  content: "\e995";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-43 .path10:before {
  content: "\e996";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-43 .path11:before {
  content: "\e997";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-43 .path12:before {
  content: "\e998";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-43 .path13:before {
  content: "\e999";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-43 .path14:before {
  content: "\e99a";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-43n .path1:before {
  content: "\e99b";
  color: rgb(255, 222, 5);
}
.icon-43n .path2:before {
  content: "\e99c";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-43n .path3:before {
  content: "\e99d";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-43n .path4:before {
  content: "\e99e";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-43n .path5:before {
  content: "\e99f";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-43n .path6:before {
  content: "\e9a0";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-43n .path7:before {
  content: "\e9a1";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-43n .path8:before {
  content: "\e9a2";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-43n .path9:before {
  content: "\e9a3";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-43n .path10:before {
  content: "\e9a4";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-44 .path1:before {
  content: "\e984";
  color: rgb(194, 206, 226);
}
.icon-44 .path2:before {
  content: "\e985";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-44 .path3:before {
  content: "\e986";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-44 .path4:before {
  content: "\e987";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-44 .path5:before {
  content: "\e988";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-44 .path6:before {
  content: "\e989";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-44 .path7:before {
  content: "\e98a";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-44 .path8:before {
  content: "\e98b";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-44 .path9:before {
  content: "\e98c";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-45 .path1:before {
  content: "\e959";
  color: rgb(152, 162, 179);
}
.icon-45 .path2:before {
  content: "\e95a";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-45 .path3:before {
  content: "\e95b";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-45 .path4:before {
  content: "\e95c";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-45 .path5:before {
  content: "\e95d";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-45 .path6:before {
  content: "\e95e";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-45 .path7:before {
  content: "\e95f";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-45 .path8:before {
  content: "\e960";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-45 .path9:before {
  content: "\e961";
  margin-left: -1.015625em;
  color: rgb(83, 214, 255);
}
.icon-23 .path1:before {
  content: "\e966";
  color: rgb(255, 222, 5);
}
.icon-23 .path2:before {
  content: "\e967";
  margin-left: -1.015625em;
  color: rgb(255, 222, 5);
}
.icon-23 .path3:before {
  content: "\e968";
  margin-left: -1.015625em;
  color: rgb(255, 222, 5);
}
.icon-23 .path4:before {
  content: "\e969";
  margin-left: -1.015625em;
  color: rgb(255, 222, 5);
}
.icon-23 .path5:before {
  content: "\e96a";
  margin-left: -1.015625em;
  color: rgb(255, 222, 5);
}
.icon-23 .path6:before {
  content: "\e96b";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23 .path7:before {
  content: "\e96c";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23 .path8:before {
  content: "\e96d";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23 .path9:before {
  content: "\e96e";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23 .path10:before {
  content: "\e96f";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23 .path11:before {
  content: "\e970";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23 .path12:before {
  content: "\e971";
  margin-left: -1.015625em;
  color: rgb(161, 199, 255);
}
.icon-23 .path13:before {
  content: "\e972";
  margin-left: -1.015625em;
  color: rgb(161, 199, 255);
}
.icon-23 .path14:before {
  content: "\e973";
  margin-left: -1.015625em;
  color: rgb(161, 199, 255);
}
.icon-23 .path15:before {
  content: "\e974";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23n .path1:before {
  content: "\e9ac";
  color: rgb(255, 222, 5);
}
.icon-23n .path2:before {
  content: "\e9ad";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23n .path3:before {
  content: "\e9ae";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23n .path4:before {
  content: "\e9af";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23n .path5:before {
  content: "\e9b0";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23n .path6:before {
  content: "\e9b1";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23n .path7:before {
  content: "\e9b2";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-23n .path8:before {
  content: "\e9b3";
  margin-left: -1.015625em;
  color: rgb(161, 199, 255);
}
.icon-23n .path9:before {
  content: "\e9b4";
  margin-left: -1.015625em;
  color: rgb(161, 199, 255);
}
.icon-23n .path10:before {
  content: "\e9b5";
  margin-left: -1.015625em;
  color: rgb(161, 199, 255);
}
.icon-23n .path11:before {
  content: "\e9b6";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-24 .path1:before {
  content: "\e9b7";
  color: rgb(152, 162, 179);
}
.icon-24 .path2:before {
  content: "\e9b8";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-24 .path3:before {
  content: "\e9b9";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-24 .path4:before {
  content: "\e9ba";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-24 .path5:before {
  content: "\e9bb";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-24 .path6:before {
  content: "\e9bc";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-24 .path7:before {
  content: "\e9bd";
  margin-left: -1.015625em;
  color: rgb(161, 199, 255);
}
.icon-24 .path8:before {
  content: "\e9be";
  margin-left: -1.015625em;
  color: rgb(161, 199, 255);
}
.icon-24 .path9:before {
  content: "\e9bf";
  margin-left: -1.015625em;
  color: rgb(161, 199, 255);
}
.icon-24 .path10:before {
  content: "\e9c0";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-71 .path1:before {
  content: "\e945";
  color: rgb(194, 206, 226);
}
.icon-71 .path2:before {
  content: "\e946";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-71 .path3:before {
  content: "\e947";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-71 .path4:before {
  content: "\e948";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-71 .path5:before {
  content: "\e949";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-71 .path6:before {
  content: "\e94a";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-71 .path7:before {
  content: "\e94b";
  margin-left: -1.015625em;
  color: rgb(194, 206, 226);
}
.icon-71 .path8:before {
  content: "\e94c";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path9:before {
  content: "\e94d";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path10:before {
  content: "\e94e";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path11:before {
  content: "\e94f";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path12:before {
  content: "\e950";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path13:before {
  content: "\e951";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path14:before {
  content: "\e952";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path15:before {
  content: "\e953";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path16:before {
  content: "\e954";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path17:before {
  content: "\e955";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path18:before {
  content: "\e956";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-71 .path19:before {
  content: "\e957";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path1:before {
  content: "\e92c";
  color: rgb(152, 162, 179);
}
.icon-34 .path2:before {
  content: "\e92d";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-34 .path3:before {
  content: "\e92e";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-34 .path4:before {
  content: "\e92f";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-34 .path5:before {
  content: "\e930";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-34 .path6:before {
  content: "\e931";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-34 .path7:before {
  content: "\e932";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-34 .path8:before {
  content: "\e933";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path9:before {
  content: "\e934";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path10:before {
  content: "\e935";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path11:before {
  content: "\e936";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path12:before {
  content: "\e937";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path13:before {
  content: "\e938";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path14:before {
  content: "\e939";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path15:before {
  content: "\e93a";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path16:before {
  content: "\e93b";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path17:before {
  content: "\e93c";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path18:before {
  content: "\e93d";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path19:before {
  content: "\e93e";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path20:before {
  content: "\e93f";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path21:before {
  content: "\e940";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path22:before {
  content: "\e941";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path23:before {
  content: "\e942";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path24:before {
  content: "\e943";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-34 .path25:before {
  content: "\e944";
  margin-left: -1.015625em;
  color: rgb(157, 234, 232);
}
.icon-51 .path1:before {
  content: "\e916";
  color: rgb(152, 162, 179);
}
.icon-51 .path2:before {
  content: "\e917";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-51 .path3:before {
  content: "\e918";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-51 .path4:before {
  content: "\e919";
  margin-left: -1.015625em;
  color: rgb(152, 162, 179);
}
.icon-51 .path5:before {
  content: "\e91a";
  margin-left: -1.015625em;
  color: rgb(234, 223, 24);
}
.icon-81:before {
  content: "\e92a";
  color: #d7dce2;
}
.icon-83:before {
  content: "\e9a5";
  color: #f72b2b;
}


body {
    padding: 0;
    margin: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: #f5f5f5;
  }
  
  h2 {
    font-weight: 700;
  }
  
  * {
      font-family: 'Roboto';
      scrollbar-color: rgba(0, 0, 0, .5) rgba(0, 0, 0, 0); 
      scrollbar-width: thin;
  }
  
  ::-webkit-scrollbar-track {
    background: transparent;
  }
  
  ::-webkit-scrollbar {
    background: transparent;
    width: 0.25rem;
    border-radius: 0.125rem;
  }
  
  ::-webkit-scrollbar-thumb {
    border-radius: 0.4rem;
    background-color: gray;
  }
  
  ::-webkit-scrollbar-track:horizontal {
    background: transparent;
  }
  
  ::-webkit-scrollbar:horizontal {
    background: transparent;
    height: 0.25rem;
    border-radius: 0.125rem;
  }
  
  ::-webkit-scrollbar-thumb:horizontal {
    border-radius: 0.4rem;
    background-color: gray;
  }
  
  input[type=number]::-webkit-inner-spin-button, 
  input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none; 
    margin: 0; 
  }
  
  input::-webkit-inner-spin-button,
  input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
  
  input[type="number"] {
    -moz-appearance: textfield;
  }
  
  @media only screen and (max-width: 760px), (min-device-width: 768px) and (max-device-width: 1024px) {
    html.touch *:hover {
      all:unset!important;
    }
  }
  
